import os
from dotenv import load_dotenv
import mysql.connector
from mysql.connector import connection

load_dotenv()


def create_connection_to_database() -> connection:
    """_summary_

    Returns:
        connection: _description_
    """
    username = os.getenv("DBUSER")
    password = os.getenv("DBPASS")
    server = os.getenv("DBHOST")
    database = os.getenv("DATABASE")
    port = os.getenv("DBPORT")

    mydb = mysql.connector.connect(
        host=server, user=username, password=password, database=database, port=port
    )
    return mydb


def return_data_from_database(query) -> None:
    connection = create_connection_to_database()
    cursor = connection.cursor()
    cursor.execute(query)
    data = cursor.fetchall()
    return data


def getUserAccounts(user) -> None:
    """_summary_

    Args:
        user (_type_): _description_
    """
    query = "SELECT userAccounts.username, userAccounts.stream, userAccounts.streamURL, userAccounts.expiaryDate, userAccounts.password FROM users INNER JOIN userAccounts ON users.id = userAccounts.userID WHERE users.id = '1'"
    a = return_data_from_database(query)
    print(a)


getUserAccounts("1")
